### Method

# Xdp Session selection_write

#### Declaration [src]

    int
    xdp_session_selection_write (
      XdpSession* session,
      unsigned int serial
    )

#### Description [src]

Retrieve a file descriptor to write the content of the clipboard selection to. The content should be formatted according to the mime type of the mime type passed via the `XdpSession::selection-transfer` that carried the passed serial number.

#### Parameters

`serial`

  Type: `unsigned int`

  A serial number.

#### Return value

Type: `int`

A file descriptor to a pipe to write the clipboard selection content to, or -1 on error. The caller must close the file descriptor when finished with it.